JPB update


#1

Can you please update JPB. It was a great game and by a later phone update, it will not work.


#2

Hey Stegoceratops, Jurassic Park Builder should work with the current OS of your device if you’re using an Apple device that is iOS 7.0 or later or an Android device that is 4.0 and up. If you’re having issues after an update, contact our team here at support+forums@ludia.com with your support key and information of your current device and operating system so they can investigate.


#3

But later on throughout later one of phone history